%define oname   ruby_parser

Name:       ruby-%{oname}
Version:    2.0.6
Release:    %mkrel 1
Summary:    A ruby parser written in pure ruby
Group:      Development/Ruby
License:    MIT
URL:        http://parsetree.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.6.2
BuildRequires: rubygem(minitest) >= 1.7.1
BuildRequires: rubygem(sexp_processor) >= 3.0
BuildRequires: rubygem(ParseTree) >= 3.0.6
BuildRequires: rubygem(RubyInline) >= 3.8.6
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
racc--which does by default use a C extension). RP's output is
the same as ParseTree's output: s-expressions using ruby's arrays and
base types.
As an example:
def conditional1(arg1)
if arg1 == 0 then
return 1
end
return 0
end
becomes:
s(:defn, :conditional1,
s(:args, :arg1),
s(:scope,
s(:block,
s(:if,
s(:call, s(:lvar, :arg1), :==, s(:arglist, s(:lit, 0))),
s(:return, s(:lit, 1)),
nil),
s(:return, s(:lit, 0)))))

%files
%defattr(-, root, root, -)
%{_bindir}/ruby_parse
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 2.0.6-1.mga1
+ Revision: 86470
- new version 2.0.6

* Tue Jan 25 2011 shikamaru <shikamaru> 2.0.5-3.mga1
+ Revision: 39635
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 2.0.5-2.mga1
+ Revision: 37818
- imported package ruby-ruby_parser


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.0.5-2mdv2011.0
- Initial package

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.5-1mdv2011.0
+ Revision: 585876
- import rubygem-ruby_parser

